<?php
class otwarciePlikuException extends Exception
{
    function __toString()
    {
        return "otwarciePlikuException ". $this->getCode()
               . ": ". $this->getMessage()."<br />"." w "
               . $this->getFile(). " w wierszu ". $this->getLine()
               . "<br />";
    }
}

class zapisPlikuException extends Exception
{
    function __toString()
    {
        return "zapisPlikuException ". $this->getCode()
               . ": ". $this->getMessage()."<br />"." w "
               . $this->getFile(). " w wierszu ". $this->getLine()
               . "<br />";
    }
}

class blokadaPlikuException extends Exception
{
    function __toString()
    {
        return "blokadaPlikuException ". $this->getCode()
               . ": ". $this->getMessage()."<br />"." w "
               . $this->getFile(). " w wierszu ". $this->getLine()
               . "<br />";
    }
}
?>